package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.dto.PromoChannelDTO;
import com.zanxiang.manage.domain.params.PromoChannelAddUpdateParam;
import com.zanxiang.manage.domain.params.PromoChannelListParam;
import com.zanxiang.manage.domain.vo.PromoChannelChoiceVO;
import com.zanxiang.manage.domain.vo.PromoChannelListVO;
import com.zanxiang.mybatis.entity.PromoChannel;

import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-10-31
 * @description : 推广渠道
 */
public interface PromoChannelService extends IService<PromoChannel> {

    /**
     * 查询推广媒体列表
     *
     * @param param : 推广媒体列表查询参数
     * @return : 返回分页信息
     */
    IPage<PromoChannelListVO> list(PromoChannelListParam param);

    /**
     * 推广账号新增或者更新
     *
     * @param param : 更新参数
     * @return : 返回结果
     */
    Boolean addOrUpdate(PromoChannelAddUpdateParam param);

    /**
     * 根据主键更新状态
     *
     * @param id     : 主键id
     * @param status : 状态
     * @return : 返回更新结果
     */
    Boolean statusUpdate(Long id, Integer status);

    /**
     * 注册渠道选择列表查询
     *
     * @return : 返回所有注册渠道信息
     */
    List<PromoChannelChoiceVO> promoChannelChoiceList();

    /**
     * 注册渠道信息
     *
     * @return : 返回所有渠道信息
     */
    Map<Long, PromoChannelDTO> promoChannelMap();

    /**
     * 注册渠道信息
     *
     * @return : 返回所有渠道信息
     */
    Map<Long, PromoChannelDTO> promoChannelMap(List<Long> agentIdList);

    /**
     * 通过帐户或投手id列表
     *
     * @param account   账户
     * @param pitcherId 投手id
     * @return {@link List}<{@link Long}>
     */
    List<Long> listByAccountOrPitcherId(String account, String pitcherId);
}
