package com.zanxiang.sdk.controller;

import com.zanxiang.module.util.pojo.ResultVO;
import com.zanxiang.sdk.annotation.UnSignCheck;
import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;
import com.zanxiang.sdk.domain.vo.GameShareVO;
import com.zanxiang.sdk.service.IOrderService;
import com.zanxiang.sdk.service.IPayApplicationService;
import com.zanxiang.sdk.service.pay.WxPayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-01-18
 * @description :
 */
@Api(tags = "测试接口")
@RestController
@RequestMapping(value = "/api/test")
public class TestController {

    @Autowired
    private IPayApplicationService payApplicationService;

    @Autowired
    private WxPayService wxPayService;

    @Autowired
    private IOrderService orderService;

    @UnSignCheck
    @GetMapping("/close/order")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameShareVO.class)})
    public ResultVO shareGame(String param) {
        PlatformOrderDTO platformOrderDTO = orderService.getByOrderId(param);
        wxPayService.closeOrder(platformOrderDTO);
        return ResultVO.ok();
    }
}
